std::bernoulli_distribution::param_type(3cxx)

NAME
std::bernoulli_distribution::param_type

SYNOPSIS

#include <random.h>

  Public Types

typedef bernoulli_distribution distribution_type

  Public Member Functions

param_type (double __p)
double p () const

  Friends

bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

Parameter type.

Definition at line 3522 of file random.h.

Member Typedef Documentation

  typedef bernoulli_distribution std::bernoulli_distribution::param_type::distribution_type

Definition at line 3524 of file random.h.

Constructor & Destructor Documentation

  std::bernoulli_distribution::param_type::param_type () [inline]

Definition at line 3526 of file random.h.

  std::bernoulli_distribution::param_type::param_type (double __p) [inline], [explicit]

Definition at line 3529 of file random.h.

Member Function Documentation

  double std::bernoulli_distribution::param_type::p () const [inline]

Definition at line 3536 of file random.h.

Friends And Related Symbol Documentation

  bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 3544 of file random.h.

  bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 3540 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.